<script lang="ts">
	export let type: 'primary' | 'secondary' | 'error' = 'primary';

	let classes = '';
	switch (type) {
		case 'primary':
			classes = 'bg-primary-500 text-noir-500 hover:bg-primary-600';
			break;
		case 'secondary':
			classes = 'bg-noir-500 text-white border border-primary-500 hover:bg-noir-600';
			break;
		case 'error':
			classes = 'bg-red-600 text-black border border-black hover:bg-red-500';
			break;
	}
</script>

<button
	class={`rounded-full py-2 px-4 shadow-xl font-medium transition-colors text-base w-fit h-fit ${classes}`}
	on:click
	on:dblclick
>
	<slot />
</button>
